当前位置:首页 > Python >

You are using pip version 21.3.1, however version 22.0.3 is available

发布时间:2024-02-19 12:02:58 作者:佚名 阅读:(32)

今天在使用python的pip安装altgraph的模块时,在执行之后提示You are using pip version 21.3.1; however, version 22.0.3 is available.,原来是因为pip的版本太低了,接下来云梦编程为大家介绍一下关于pip升级的方法,有需要的小伙伴可以参考一下:

1、错误提示:

D:\Python>pip install altgraph
Requirement already satisfied: altgraph in d:\program files (x86)\python\python3
7\lib\site-packages (0.17.2)
WARNING: You are using pip version 21.3.1; however, version 22.0.3 is available.

You should consider upgrading via the 'd:\program files (x86)\python\python37\py
thon.exe -m pip install --upgrade pip' command.

2、升级命令:

    根据提示我们可以看到已经给了我们升级的提示,所以我们可以直接使用下面的命令升级:

python -m pip install --upgrade pip

    执行结果如下所示:

3、查看当前版本:

D:\Python>pip -V
pip 22.0.3 from D:\Program Files (x86)\Python\Python37\lib\site-packages\pip (python 3.7)
7)


以上就是云梦编程为大家介绍的关于You are using pip version 20.2.3; however, version 21.3.1 is available.升级的方法,了解更多相关文章请关注云梦编程网!

© 2023 - 云梦编程网 版权所有 鲁ICP备2021017318号-4